Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PortletCategoryView

All Superinterfaces
  CategoryView, Serializable, View

    public interface PortletCategoryView

extends CategoryView

View class for a portlet category.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`PortletCategoryDefinitionId` | `getId()` Returns the `PortletCategoryDefinitionId` associated with this view.
`PortletCategoryDefinitionId` | `getParentId()` Returns the `PortletCategoryDefinitionId` associated with this category's parent.
`PortletCategoryView[]` | `getPortletCategoryViews()` Returns an array of `PortletCategoryView`s that are children of this `PortletCategoryView`.
`PortletView[]` | `getPortletViews()` Returns an array of `PortletView`s for portlets associated with this `PortletCategoryView`.
`String` | `getWebAppName()` Return the name of the webapp that this portlet category is associated with.

Methods inherited from interface com.bea.netuix.application.view.CategoryView
`getLocalizationResourceView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getId

    PortletCategoryDefinitionId getId()

  Returns the `PortletCategoryDefinitionId` associated with this view.

  Returns
    `PortletCategoryDefinitionId`

### getParentId

    PortletCategoryDefinitionId getParentId()

  Returns the `PortletCategoryDefinitionId` associated with this category's parent.

  Returns
    the `PortletCategoryDefinitionId` associated with this category's parent.

### getPortletViews

    PortletView[] getPortletViews()

  Returns an array of `PortletView`s for portlets associated with this `PortletCategoryView`. Returns an empty array if there are no such portlets.

  Returns
    an array of `PortletView`s

### getPortletCategoryViews

    PortletCategoryView[] getPortletCategoryViews()

  Returns an array of `PortletCategoryView`s that are children of this `PortletCategoryView`. Returns an empty array if there are no portlet categories.

  Returns
    an array of `PortletCategoryView`s

### getWebAppName

    String getWebAppName()

  Return the name of the webapp that this portlet category is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns
    a non-null webapp name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.